#include<stdio.h>
#include<ctype.h>

/*  Funkcja szyfruje tekst zawarty w t[] za pomoca szyfru Cezara */
char* szyfr(char t[])
{
  int i=0;
  while(t[i] != '\0')
  {
      if( islower(t[i]) || isupper(t[i])) t[i] = t[i] + 3;
      i = i + 1;
  }
  return t;
}



/* Funkcja czyta linie tekstu z terminala (stdin) i imieszcza ją w tablicy t[].
 * Do tablicy nie będzie wstawione więcej niż 'n' znakow.
 * Znak końca linii '\n' nie jest umieszczany w napisie
 * Funkcja zwraca wartość EOF (-1) gdy odczytno wszystkie znaki ze strumienia, 
 * w przeciwnym wypoadku zwracana jest wartość 1 */

int readline(char t[], int n)
{
  int i=0;
  int a;

  while((a=getchar())!=EOF && a != '\n' && i < n-1)
  {
      t[i] = a;
      i = i + 1; 
  }
  
  t[i] = '\0';
  
  if (a == EOF) return EOF;

  return 1;

}

#define MAX 1000

int main()
{
   char t[MAX];
   int x = 0;

   while ( x != EOF)
   {
      x = readline(t, MAX);
      printf("szyfr: %s\n", szyfr(t));
   }
}

